<?php

$block_name = _("Wiki page");

/**
 * This class extends Horde_Block:: to display a Wiki page.
 *
 * $Horde: wicked/lib/Block/page.php,v 1.3 2005/01/03 14:35:46 jan Exp $
 *
 * Copyright 2004-2005 Cronosys, LLC <http://www.cronosys.com/>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Jason Felice <jfelice@cronosys.com>
 * @version $Revision: 1.3 $
 * @package Horde_Block
 */
class Horde_Block_Wicked_page extends Horde_Block {

    var $_app = 'wicked';

    function _title()
    {
        require_once dirname(__FILE__) . '/../base.php';

        $page = &Page::getPage($this->_params['page']);
        return $page->pageName();
    }

    function _content()
    {
        require_once dirname(__FILE__) . '/../base.php';

        $page = &Page::getPage($this->_params['page']);
        return $page->render(WICKED_MODE_BLOCK);
    }

    function _params()
    {
        return array('page' => array('type' => 'text',
                                     'name' => _("Name of wiki page to display"),
                                     'default' => 'WikiHome'));
    }

}
